﻿using System.ComponentModel.DataAnnotations;

namespace HttpClientStudy.WebApp.Models
{
    /// <summary>
    /// 高级Get请求参数
    /// </summary>
    public class AdvancedGetModel
    {
        /// <summary>
        /// 标识Id
        /// </summary>
        [Required]
        public int Id { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [Required]
        public required string Name { get; set; }
    }
}
